# SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
#
# SPDX-License-Identifier: AGPL-3.0-or-later


output "mcaptcha_mcaptcha_ip" {
  value = local.mcaptcha_vm_map
}

resource "local_file" "hosts_yml" {
  content = templatefile("./templates/hosts.yml.tftpl",
    {
      mcaptcha_vms_ips   = local.mcaptcha_vm_ips,
      mcaptcha_vms_names = local.mcaptcha_vm_names,
      mcaptcha_vms       = local.mcaptcha_vm_map

  })

  filename = "hosts.ini"
}
