# SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

output "mcaptcha_mcaptcha_demo_server_ip" {
  value = local.mcaptcha_demo_server_vm_map
}

output "mcaptcha_mcaptcha_dos_ip" {
  value = local.mcaptcha_dos_vm_map
}

output "mcaptcha_mcaptcha_mcaptcha_ip" {
  value = local.mcaptcha_mcaptcha_vm_map
}

resource "local_file" "hosts_yml" {
  content = templatefile("./templates/hosts.yml.tftpl",
    {
      mcaptcha_demo_server_vm_ips   = local.mcaptcha_demo_server_vm_ips,
      mcaptcha_demo_server_vm_names = local.mcaptcha_demo_server_vm_names,
      mcaptcha_demo_server_vms      = local.mcaptcha_demo_server_vm_map,


      mcaptcha_dos_vm_ips   = local.mcaptcha_dos_vm_ips,
      mcaptcha_dos_vm_names = local.mcaptcha_dos_vm_names,
      mcaptcha_dos_vms      = local.mcaptcha_dos_vm_map,

      mcaptcha_mcaptcha_vm_ips   = local.mcaptcha_mcaptcha_vm_ips,
      mcaptcha_mcaptcha_vm_names = local.mcaptcha_mcaptcha_vm_names,
      mcaptcha_mcaptcha_vms      = local.mcaptcha_mcaptcha_vm_map

  })

  filename = "hosts.ini"
}
